Summary: SIP implementation
Name: libosip2
Version: 5.3.1
Release: 1%{?dist}
License: LGPLv2+
Group: System Environment/Libraries
URL: http://www.gnu.org/software/osip/osip.html
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: http://ftp.gnu.org/gnu/osip/%{name}-%{version}.tar.gz
Requires(post,postun): /sbin/ldconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
oSIP is an implementation of the Session Initiation Protocol as described
by the RFC3261 (wich deprecates RFC2543). This library aims to provide
multimedia and telecom software developers an easy and powerful interface
to initiate and control SIP based sessions in their applications. SIP is
an open standard replacement from IETF for H323.

%package devel
Summary: Header files and libraries for oSIP development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q

%build
%{configure} --disable-static --enable-shared
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

find %{buildroot}%{_libdir}/ -type f -name '*.la' -exec %{__rm} -f {} \;
%{__mv} -f %{buildroot}%{_mandir}/man1/osip.1 %{buildroot}%{_mandir}/man1/osip2.1

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING INSTALL NEWS README TODO
%{_mandir}/man1/osip2.1*
%{_libdir}/libosip2.so.*
%{_libdir}/libosipparser2.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/osip2
%{_includedir}/osipparser2
%{_libdir}/libosip2.so
%{_libdir}/libosipparser2.so
%{_libdir}/pkgconfig/libosip2.pc

%changelog
* Thu Oct 13 2022 Simon Matter <simon.matter@invoca.ch> 5.3.1-1
- upgrade to 5.3.1

* Tue Nov 23 2021 Simon Matter <simon.matter@invoca.ch> 5.3.0-1
- upgrade to 5.3.0

* Wed May 26 2021 Simon Matter <simon.matter@invoca.ch> 5.2.1-1
- upgrade to 5.2.1

* Wed Nov 11 2020 Simon Matter <simon.matter@invoca.ch> 5.2.0-1
- upgrade to 5.2.0

* Tue Aug 25 2020 Simon Matter <simon.matter@invoca.ch> 5.1.2-1
- upgrade to 5.1.2

* Mon Mar 03 2020 Simon Matter <simon.matter@invoca.ch> 5.1.1-1
- upgrade to 5.1.1

* Mon Feb 13 2017 Simon Matter <simon.matter@invoca.ch> 5.0.0-1
- upgrade to 5.0.0

* Fri Sep 12 2014 Simon Matter <simon.matter@invoca.ch> 4.1.0-1
- upgrade to 4.1.0

* Fri Dec 16 2011 Simon Matter <simon.matter@invoca.ch> 3.6.0-1
- upgrade to 3.6.0

* Fri Sep 02 2011 Simon Matter <simon.matter@invoca.ch> 3.5.0-1
- initial build
